Support » Plugin: Admin Collapse Subpages » Change in jQuery leads to error with jQuery.cookie

  • Resolved Richard Tape

    (@iamfriendly)


    Hi there,

    Since jQuery updated to 1.10.2 (with WP 3.6) sadly this plugin no longer functions correctly. The main reason is that the jQuery object is now just the init constructor ‘enhanced’ (as they put it).

    This means calling jQuery.cookie breaks things (the one packaged with this plugin).

    So, to get this working, I replaced jQuery.cookie.js with the updated one from https://github.com/carhartl/jquery-cookie/blob/master/jquery.cookie.js

    Then, on line 5 of the plugin, I allowed usage of the $ object within the function, i.e. changed it to

    jQuery().ready(function($){

    Then replaced all instances of jQuery.cookie with $.cookie

    This then makes the plugin function as expected.

    I’d love to see you update this plugin as above so that other folk don’t have the same issue.

    Thanks for such a wonderful plugin that has worked so well over the years.

    http://wordpress.org/plugins/admin-collapse-subpages/

Viewing 1 replies (of 1 total)
Viewing 1 replies (of 1 total)
  • The topic ‘Change in jQuery leads to error with jQuery.cookie’ is closed to new replies.